CVE-2024-21726|Joomla存在多个XSS漏洞(结合自定义模版可RCE)

admin 2024年2月29日17:16:22评论22 views字数 603阅读2分0秒阅读模式

0x00 前言

Joomla是一套自由、开放源代码的内容管理系统,以PHP撰写,用于发布内容在万维网与内部网,通常被用来搭建商业网站、个人博客、信息管理系统、Web 服务等,还可以进行二次开发以扩充使用范围。其功能包含可提高性能的页面高速缓存、RSS馈送、页面的可打印版本、新闻摘要、博客、投票、网站搜索、与语言国际化。

0x01 漏洞描述

由于php的mbstring函数处理无效多字节序列的方式不一致,攻击者可以绕过joomla核心过滤执行的清理,导致多个xss漏洞

0x02 CVE编号

CVE-2024-21726

0x03 影响版本

Joomla! CMS versions 3.7.0-3.10.14-elts

Joomla! CMS versions 4.0.0-4.4.2, 5.0.0-5.0.2

0x04 漏洞详情

0x05 参考链接

https://www.sonarsource.com/blog/joomla-multiple-xss-vulnerabilities/

https://developer.joomla.org/security-centre/929-20240205-core-inadequate-content-filtering-within-the-filter-code.html

原文始发于微信公众号(信安百科):CVE-2024-21726|Joomla存在多个XSS漏洞(结合自定义模版可RCE)

  • 左青龙
  • 微信扫一扫
  • weinxin
  • 右白虎
  • 微信扫一扫
  • weinxin
admin
  • 本文由 发表于 2024年2月29日17:16:22
  • 转载请保留本文链接(CN-SEC中文网:感谢原作者辛苦付出):
                   CVE-2024-21726|Joomla存在多个XSS漏洞(结合自定义模版可RCE)https://cn-sec.com/archives/2533820.html

发表评论

匿名网友 填写信息